#597 closed defect (fixed)

tmtests demand more workspace than they actually need

Reported by: querbach Owned by: Joel Sherrill
Priority: lowest Milestone: 2
Component: unspecified Version: 4.6
Severity: normal Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

The actual workspace needed by the tmtests depends on OPERATION_COUNT, but the definitions of CONFIGURE_MAXIMIM_xxx in the their system.h files don't reflect this. This results in unnecessary memory exhaustion on small-memory systems such as the SS555.

Release:
RTEMS-4.6.99.0 (Snapshot as of 20040318)

Environment:
Intec SS555 (MPC5xx) port.
Built under Debian 3.0.

How-To-Repeat:
Run tmtests on a system with 512k RAM.

Attachments (1)

rtems-20040318-tmtests-fix.patch (20.7 KB) - added by querbach on Dec 3, 2006 at 1:31:12 PM.
rtems-20040318-tmtests-fix.patch

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Mar 30, 2004 at 6:17:53 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Patch applied to CVS trunk.

Changed on Dec 3, 2006 at 1:31:12 PM by querbach

rtems-20040318-tmtests-fix.patch

comment:2 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.